"use strict";
var AdvancedForm = (function () {
    function AdvancedForm(formElement) {
        this.formElement = formElement;
        this.basicUploader();
    }
    AdvancedForm.prototype.basicUploader = function () {
        var $ = jQuery;
        var inputSelector = 'input[type="file"]';
        $('.acf-image-uploader[data-uploader="basic"]', this.formElement).each(function (index, fieldWrap) {
            var $fieldWrap = $(fieldWrap);
            var $fileinput = $fieldWrap.find(inputSelector);
            // Add mime types to input
            var mimes = $fileinput.closest('.acf-image-uploader').data('mime_types');
            // Add dots before extensions
            mimes = mimes.split(',').map(function (ext) { return '.' + ext; }).join(',');
            $fileinput.attr('accept', mimes);
            // Add image preview
            $fieldWrap.on('change', $fileinput.selector, function (e) {
                var files = this.files;
                if (files.length === 0) {
                    return;
                }
                var image_url = URL.createObjectURL(files[0]);
                $fieldWrap.find('img').attr('src', image_url);
                $fieldWrap.addClass('has-value');
            });
            // Remove image
            $fieldWrap.on('click', 'a[data-name="remove"]', function (e) {
                // Reset the file input field
                var input = $fieldWrap.find(inputSelector).get(0);
                input.outerHTML = input.outerHTML;
            });
        });
    };
    return AdvancedForm;
}());
jQuery(function ($) {
    $('form.af-form').each(function () {
        new AdvancedForm(this);
    });
});
//# sourceMappingURL=advanced-forms.js.map