/* ========================================================================
 * DOM-based Routing
 * Based on http://goo.gl/EUTi53 by Paul Irish
 *
 * Only fires on body classes that match. If a body class contains a dash,
 * replace the dash with an underscore when adding it to the object below.
 *
 * .noConflict()
 * The routing is enclosed within an anonymous function so that you can
 * always reference jQuery with $, even when in .noConflict() mode.
 * ======================================================================== */

(function($) {

//Add plus and minus to quantity field
$('.quantity').on('click', '.plus', function(e) {
  $input = $(this).prev('input.qty');
  var val = parseInt($input.val());
  var step = $input.attr('step');
  step = 'undefined' !== typeof(step) ? parseInt(step) : 1;
  $input.val( val + step ).change();
});

$('.quantity').on('click', '.minus', 
  function(e) {
  $input = $(this).next('input.qty');
  var val = parseInt($input.val());
  var step = $input.attr('step');
  step = 'undefined' !== typeof(step) ? parseInt(step) : 1;
  if (val > 0) {
      $input.val( val - step ).change();
  } 
});

// Add mini cart 
jQuery(".mini-cart").on("click", function() {
  jQuery(".shopping-cart").fadeToggle("fast");
  jQuery(".shopping-cart-background").fadeToggle("fast");
});

//Radio Buttons

$(document).ready(function(){
  $(".value input").each(function() { 
      if ($(this).is(":checked")) { 
          $(this).parent().addClass("currentLink");
      }
  });

  $(".value input").change(function() { 
      if ($(this).is(":checked")) { 
          $(this).parent().addClass("currentLink").siblings().removeClass("currentLink");
      }
  });
});



  // Use this variable to set up the common and page specific functions. If you
  // rename this variable, you will also need to rename the namespace below.
  var Sage = {
    // All pages
    'common': {
      init: function() {
        // JavaScript to be fired on all pages
        loadTypeKit(SAGE.typekitId);
        objectFitImages();
        postModal();
        menuScroll();
      },
      finalize: function() {
        // JavaScript to be fired on all pages, after page specific JS is fired
        better_wpcf7_forms();
        jQuery('.gallery a.thumbnail').fluidbox();
        jQuery('.gallery a.thumbnail img').each(function(i, img) {
            if (img.src !== img.getAttribute('src')) {
                jQuery(img).replaceWith(jQuery(img.outerHTML));
            }
        });
      }
    },
    // Home page
    'home': {
      init: function() {
        // JavaScript to be fired on the home page
      },
      finalize: function() {
        // JavaScript to be fired on the home page, after the init JS
      }
    },
    // About us page, note the change from about-us to about_us.
    'about_us': {
      init: function() {
        // JavaScript to be fired on the about us page
      }
    }
  };

  // The routing fires all common scripts, followed by the page specific scripts.
  // Add additional events for more control over timing e.g. a finalize event
  var UTIL = {
    fire: function(func, funcname, args) {
      var fire;
      var namespace = Sage;
      funcname = (funcname === undefined) ? 'init' : funcname;
      fire = func !== '';
      fire = fire && namespace[func];
      fire = fire && typeof namespace[func][funcname] === 'function';

      if (fire) {
        namespace[func][funcname](args);
      }
    },
    loadEvents: function() {
      // Fire common init JS
      UTIL.fire('common');

      // Fire page-specific init JS, and then finalize JS
      $.each(document.body.className.replace(/-/g, '_').split(/\s+/), function(i, classnm) {
        UTIL.fire(classnm);
        UTIL.fire(classnm, 'finalize');
      });

      // Fire common finalize JS
      UTIL.fire('common', 'finalize');
    }
  };

  // Load Events
  $(document).ready(UTIL.loadEvents);

})(jQuery); // Fully reference jQuery after this point.
