<?php
/**
 * Block Name: Contact Page Locations
 */

$locations = get_field( 'contact_locations', 'options' );

if ( empty( $locations ) ) {
	return;
}

wp_enqueue_script( 'google-maps-api' );

?>
<div id="contact-locations">
	<div class="row">
		<div class="col-sm-8">

			<div class="google-map <?= is_admin() ? 'is-admin' : '' ?>">
				<?php if ( !is_admin() ) {
					foreach ( $locations as $location ) {

						if ( !empty( $location['address'] ) ) {
							printf(
								'<div class="marker" data-lat="%s" data-lng="%s"></div>',
								esc_attr( $location['address']['lat'] ),
								esc_attr( $location['address']['lng'] )
							);
						}

					}
				} ?>
			</div>

		</div>
		<div class="col-sm-4">

			<ul class="list-group">
				<?php foreach ( $locations as $location ) { ?>

					<li class="list-group-item">

						<?php if ( !empty( $location['title'] ) ) { ?>
							<h4 class="list-group-item-heading"><?= esc_html( $location['title'] ) ?></h4>
						<?php } ?>

						<?php if ( !empty( $location['address'] ) || $location['override_displayed_address'] ) { ?>
							<p class="list-group-item-text">
								<?= $location['override_displayed_address'] ? $location['displayed_address'] : $location['address']['address'] ?>
							</p>
						<?php } ?>

						<?php if ( !empty( $location['phone'] ) ) { ?>
							<a href="<?= esc_url( 'tel:' . $location['phone'] ) ?>" class="btn btn-default"><?= esc_html( $location['phone'] ) ?></a>
						<?php } ?>

						<?php if ( !empty( $location['website'] ) ) { ?>
							<a href="<?= esc_url( $location['website'] ) ?>" class="btn btn-default">Website</a>
						<?php } ?>

					</li>

				<?php } ?>
			</ul>

		</div>
	</div>
</div>
