<?php
/**
 * Sage includes
 *
 * The $sage_includes array determines the code library included in your theme.
 * Add or remove files to the array as needed. Supports child theme overrides.
 *
 * Please note that missing files will produce a fatal error.
 *
 * @link https://github.com/roots/sage/pull/1042
 */
$sage_includes = [
  'lib/virtualpages/VirtualPages.php',

  'lib/helpers.php',   // Helper functions
  'lib/assets.php',    // Scripts and stylesheets
  'lib/extras.php',    // Custom functions
  'lib/setup.php',     // Theme setup
  'lib/titles.php',    // Page titles
  'lib/wrapper.php',   // Theme wrapper class
  'lib/customizer.php',// Theme customizer
  'lib/acf.php',
  'lib/oembed.php',    // OEmbed overrides
  //'lib/woocommerce.php',
  'lib/event-date-check.php',
  'lib/cpt-events.php',
  'lib/acf-export.php',
  'lib/automenu.php',
  'lib/generatebuttons.php',
  'lib/venue.php',
  //'lib/woocommerce-box-office.php',

//'lib/forms-features.php',
//'lib/forms.php',
//'lib/forms/example.php',
  
  'lib/gallery.php',  // Bootstrap version of WP Gallery
  'lib/hacks.php',
  'lib/bootstrap-navwalker.php',
  'lib/contact-locations.php',
  'lib/theme-settings-socials.php',
];

foreach ($sage_includes as $file) {
  if (!$filepath = locate_template($file)) {
    trigger_error(sprintf(__('Error locating %s for inclusion', 'sage'), $file), E_USER_ERROR);
  }

  require_once $filepath;
}
unset($file, $filepath);
