<?php

namespace Roots\Sage\AutoMenu;

function AutoMenu() {

    if ( is_front_page() ) {	
        $panels = get_field('panels');
        $socialFacebook = get_field('site_socials_facebook','option');
        $socialInstagram = get_field('site_socials_instagram','option');
        $socialTwitter = get_field('site_socials_twitter','option');
        $phoneNumber = '';
        $phoneNumber = get_field('phone_number', 'option');
        $phoneNumberLink = esc_url('tel:'.$phoneNumber);
        $bookNowBtn = esc_url(get_field('book_now_btn','option'));
        $bookNowBtnText = get_field('book_now_button_text', 'option');
        //var_dump($bookNowBtn);
        //var_dump($phoneNumberLink);
        //var_dump($socialmenu);
        //echo '<div style="max-height: 100vh; overflow:auto">'; 
        //echo '</div>';
        //var_dump($panels);

        //top main menu
        echo '<ul id="menu-top-menu" class="nav navbar-nav">';
        foreach ($panels as $panelIndex => $panel):
            if($panel['hide_from_top_menu'] ?? false) continue;
            $panelSlug = sanitize_title($panel['title']);
            //var_dump($panelSlug);
            echo '<li>';
                echo '<a href="/#panel-'.$panelSlug.'">'; echo $panel['title'];echo '</a>';
            echo '</li>';
        endforeach;
        echo '<li><a href="/#footer-contact">Contact</a></li>';
        echo '</ul>';


        //social secondary menu
        echo '<ul id="menu-social-menu" class="nav navbar-nav navbar-right">';
            if($socialFacebook):
                echo '<li class="social-icon">';
                    echo '<a href="' . $socialFacebook . '"><span class="icon icon-facebook"></span></a>';
                echo '</li>';
            endif;
            if($socialInstagram): 
                echo '<li class="social-icon">';
                    echo '<a href="' . $socialInstagram . '"><span class="icon icon-instagram"></span></a>';
                echo '</li>';
            endif;
            if($socialTwitter): 
                echo '<li class="social-icon social-twitter">';
                    echo '<a href="' . $socialTwitter . '"><span class="icon icon-twitter"></span></a>';
                echo '</li>';
            endif; 
            if($phoneNumber):
                echo '<li class="phone-icon">';
                    echo '<a class="navbar-btn btn btn-default" href="' . $phoneNumberLink . '">CALL '.$phoneNumber.'</a>';
                echo '</li>';
            endif;
            if($bookNowBtn):
                echo '<li class="phone-icon">';
                    echo '<a class="navbar-btn btn btn-default" href="' . $bookNowBtn . '">' . ($bookNowBtnText ?: 'Book Now') . '</a>';
                echo '</li>';
            endif;

        echo '</ul>';

    }
}

/* <li id="menu-item-155" class="menu-item menu-item-type-custom menu-item-object-custom current-menu-item current_page_item menu-item-155">
<a title="What's On" href="/#home-events-panel">What’s On</a>
</li> */

/* <li id="menu-item-176" class="icon icon-facebook menu-item menu-item-type-custom menu-item-object-custom menu-item-176"><a title="Facebook" href="#"><img src="echo Roots\Sage\Assets\asset_path("/images/facebookicon.svg");"></a></li> */

/* <li id="menu-item-175" class="phone-icon menu-item menu-item-type-custom menu-item-object-custom menu-item-175"><span><a title="Call 3000 0000" class=" navbar-btn btn btn-default" href="tel:30000000">Call 3000 0000</a></span></li> */