<?php

namespace Roots\Sage\cpt;

/* Event CPT */

add_action( 'init', __NAMESPACE__ .'\\register_cpt_event' );

function register_cpt_event() {

    $labels = array( 
        'name' => _x( 'Events', 'event' ),
        'singular_name' => _x( 'Event', 'event' ),
        'add_new' => _x( 'Add New', 'event' ),
        'add_new_item' => _x( 'Add New Event', 'event' ),
        'edit_item' => _x( 'Edit Event', 'event' ),
        'new_item' => _x( 'New Event', 'event' ),
        'view_item' => _x( 'View Event', 'event' ),
        'search_items' => _x( 'Search Events', 'event' ),
        'not_found' => _x( 'No Events found', 'event' ),
        'not_found_in_trash' => _x( 'No Events found in Trash', 'event' ),
        'parent_item_colon' => _x( 'Parent Event:', 'event' ),
        'menu_name' => _x( 'Events', 'event' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        
        'supports' => array( 'title', 'editor', 'excerpt', 'thumbnail' ),
        'taxonomies' => array( 'event_category' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 20,
        
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        //'rewrite'   => array( 'slug' => 'product/%product_category%', 'with_front' => true ),
        
        'capability_type' => 'post'
    );

    register_post_type( 'event', $args );
}

/* Event Category Custom Taxonomy */

add_action( 'init', __NAMESPACE__ .'\\register_taxonomy_event_category' );

function register_taxonomy_event_category() {

    $labels = array( 
        'name' => _x( 'Event Category', 'event_category' ),
        'singular_name' => _x( 'event Categories', 'event_category' ),
        'search_items' => _x( 'Search event Category', 'event_category' ),
        'popular_items' => _x( 'Popular event Category', 'event_category' ),
        'all_items' => _x( 'All event Category', 'event_category' ),
        'parent_item' => _x( 'Parent event Categories', 'event_category' ),
        'parent_item_colon' => _x( 'Parent event Categories:', 'event_category' ),
        'edit_item' => _x( 'Edit event Categories', 'event_category' ),
        'update_item' => _x( 'Update event Categories', 'event_category' ),
        'add_new_item' => _x( 'Add New event Categories', 'event_category' ),
        'new_item_name' => _x( 'New event Categories', 'event_category' ),
        'separate_items_with_commas' => _x( 'Separate event category with commas', 'event_category' ),
        'add_or_remove_items' => _x( 'Add or remove event category', 'event_category' ),
        'choose_from_most_used' => _x( 'Choose from the most used event category', 'event_category' ),
        'menu_name' => _x( 'event Category', 'event_category' ),
    );

    $args = array( 
        'labels' => $labels,
        'public' => true,
        'show_in_nav_menus' => true,
        'show_ui' => true,
        'show_tagcloud' => true,
        'show_admin_column' => false,
        'hierarchical' => true,

        'rewrite' => true,
        //'rewrite'   => array( 'slug' => 'product-category'),
        'query_var' => true
    );

    register_taxonomy( 'event_category', array('event'), $args );
}


