<?php

namespace Roots\Sage\EventDateCheck;

//add filter to exclude the outdated events
add_filter( 'pre_get_posts', __NAMESPACE__.'\\order_by', 1, 1 );

function order_by( $query ) {

    $post_type = 'event';
    $taxonomies = [
      'event_category'
    ];

    if ( is_admin() ) return $query;

    //if ( ! $query->is_main_query() ) return $query;

    $is_post_type = ( $query->query_vars['post_type'] ?? '' ) === $post_type;

    $query_taxonomy_vars = array_intersect_key( $query->query_vars, array_fill_keys( $taxonomies, null ) );
    $has_taxonomy_query = !empty( array_filter( $query_taxonomy_vars ) );

    if ( $is_post_type || $has_taxonomy_query ) {

        $meta_query = [
            'relation' => 'OR',
            'meta_event_date_exist' => [
              'key'=>'event_date',
              'value'=>'',
              'compare'=> 'NOT EXISTS',
            ],
            'meta_event_date_blank' => [
              'key'=>'event_date',
              'value'=>'',
              'compare'=> '=',
            ],
            'meta_event_date' => [
                'key' => 'event_date',
                'value' => date( 'Ymd' ),
                'compare' => '>=',
                'type' => 'numeric',
            ],
        ];

        if ( ! empty( $query->query_vars['meta_query'] ) ) {
            $meta_query = [ 'relation' => 'AND' ] + [ $query->query_vars['meta_query'] ] + $meta_query;
        }

        $query->set( 'meta_query', $meta_query );


            $query->set( 'orderby', [ 
              'meta_event_date_exist' => 'DESC',
              'meta_event_date_blank' => 'DESC',
              'meta_event_date' => 'ASC',
              'date'=>'DESC',
            ] );

    }

    return $query;
}
