<?php

namespace Roots\Sage\Extras;

use Roots\Sage\Setup;

/**
 * Add <body> classes
 */
function body_class($classes) {
  // Add page slug if it doesn't exist
  if (is_single() || is_page() && !is_front_page()) {
    if (!in_array(basename(get_permalink()), $classes)) {
      $classes[] = basename(get_permalink());
    }
  }

  // Add class if sidebar is active
  if (Setup\display_sidebar()) {
    $classes[] = 'sidebar-primary';
  }
  if (is_main_site()) {
    $classes[] = 'main-site';
  }

  return $classes;
}
add_filter('body_class', __NAMESPACE__ . '\\body_class');

/**
 * Clean up the_excerpt()
 */
function excerpt_more() {
  return ' &hellip; <a href="' . get_permalink() . '">' . __('Continued', 'sage') . '</a>';
}
add_filter('excerpt_more', __NAMESPACE__ . '\\excerpt_more');

function pagination() {
  if ( $GLOBALS['wp_query']->max_num_pages <= 1 ) return;

  $links = paginate_links([
    'mid_size' => 1,
    'prev_text' => '&laquo;',
    'next_text' => '&raquo;',
    'type' => 'array',
  ]);

  $navigation = '';

  foreach ($links as $link) {
    $classes = [];
    $classes[] = strpos($link, 'current') !== false ? 'active' : '';
    $classes[] = strpos($link, 'dots') !== false ? 'disabled' : '';
    $navigation .= sprintf('<li class="%2$s">%1$s</li>', $link, implode(' ', $classes)) . "\n";
  }

  printf('
    <nav>
      <ul class="pagination">
        %1$s
      </ul>
    </nav>', $navigation);
}

function deduplicate_scripts_styles( $tag, $handle, $src ) {
	static $output_handles = [];

	if ( in_array( $handle, $output_handles ) ) {
		$tag = '';
	} else {
		$output_handles[] = $handle;
	}

	return $tag;
}
add_filter( 'script_loader_tag', __NAMESPACE__.'\\deduplicate_scripts_styles', 10, 3 );
