<?php

// No namespace so they can be called anywhere easily


// This function must be called before the init action
function create_virtual_page( $url, $args ) {
	$args = wp_parse_args( $args, [
		'title' => 'Untitled',
		'template' => 'page.php',
		'content' => '',
	] );

	$page = new \GM\VirtualPages\Page( $url, $args['title'], $args['template'] );
	$page->setContent( $args['content'] );

	\GM\VirtualPages\page_storage( $page );

	return $page;
}

function is_virtual_page() {
	global $wp_query;

	if ($wp_query->found_posts === 0) return false;

	return $wp_query->post->is_virtual;
}

function get_current_url() {
	return add_query_arg( array() );
}

function get_current_url_relative() {
	return wp_make_link_relative( get_current_url() );
}

function get_template_part_with_vars( $slug, $name = null, $vars = [] ) {
	foreach( $vars as $name => $val ) {
		set_query_var( $name, $val );
	}
	get_template_part( $slug, $name );
}

add_filter('gform_custom_merge_tags', 'add_site_title_merge_tags', 10, 4);
function add_site_title_merge_tags( $merge_tags, $form_id, $fields, $element_id ) {
	$site_title = get_bloginfo('name');
	$merge_tags[] = array('label' => 'Site Title', 'tag' => '{site_title}');
	return $merge_tags;
}

add_filter('gform_replace_merge_tags', 'replace_site_title_merge_tags', 10, 3);
function replace_site_title_merge_tags( $text, $form, $entry) {
	$site_title = get_bloginfo('name');
	if ( strpos( $text, '{site_title}' ) ) {
		$text = str_replace( '{site_title}', $site_title, $text );
	}

	return $text;
}