<?php

namespace Roots\Sage\Socials;

use Roots\Sage\ACF;

// Custom Fields Definition
function register_custom_fields() {

	ACF\register_groups([
		'theme_settings_socials' => [
			'title' => 'Site Socials',
			'menu_order' => 0,
			'label_placement' => 'top',
			'instruction_placement' => 'label',
			'hide_on_screen' => '',
			'active' => 1,
			'description' => '',
			'location' => [
				[
					[
						'param' => 'options_page',
						'operator' => '==',
						'value' => 'acf-options-theme-settings',
					],
				],
			],
			'fields' => [
				'site_socials_facebook' => [
					'label' => 'Facebook',
					'type' => 'text',
				],
				'site_socials_instagram' => [
					'label' => 'Instagram',
					'type' => 'text',
				],
				'site_socials_twitter' => [
					'label' => 'Twitter',
					'type' => 'text',
				],
				'site_socials_linkedin' => [
					'label' => 'LinkedIn',
					'type' => 'text',
				],
			],
		],
	]);

}
add_action( 'acf/init', __NAMESPACE__.'\\register_custom_fields' );
