<?php
namespace GM\VirtualPages;

/**
 * @author  Giuseppe Mazzapica <giuseppe.mazzapica@gmail.com>
 * @license http://opensource.org/licenses/MIT MIT
 */

interface ControllerInterface {
  /**
   * Init the controller, fires the hook that allow consumer to add pages
   */
  function init();

  /**
   * Register a page object in the controller
   *
   * @param  \GM\VirtualPages\Page $page
   * @return \GM\VirtualPages\Page
   */
  function addPage( PageInterface $page );

  /**
   * Run on 'parse_request' and if the request is for one of the registerd
   * setup global variables, fire core hooks, requires page template and exit.
   *
   * @param \WP $wp       The global wp object passed by 'parse_request'
   */
  function dispatch( \WP $wp );

}
