<?php namespace GM\VirtualPages;
/*
Adapted from Gist by Giuseppe Mazzapica
https://gist.github.com/Giuseppe-Mazzapica/1efe17a8cb573e19c086
*/

require_once 'PageInterface.php';
require_once 'ControllerInterface.php';
require_once 'TemplateLoaderInterface.php';
require_once 'Page.php';
require_once 'Controller.php';
require_once 'TemplateLoader.php';

$controller = new Controller ( new TemplateLoader );

add_action( 'init', array( $controller, 'init' ) );

add_filter( 'query_vars', array( $controller, 'register_query_vars' ), 10, 1 );

add_action( 'parse_request', array( $controller, 'dispatch' ), PHP_INT_MAX, 1 );

add_action( 'loop_end', function( \WP_Query $query ) {
  if ( isset( $query->virtual_page ) && ! empty( $query->virtual_page ) ) {
    $query->virtual_page = NULL;
  }
} );

add_filter( 'the_permalink', function( $plink ) {
  global $post, $wp_query;
  if (
    $wp_query->is_page
    && isset( $wp_query->virtual_page )
    && $wp_query->virtual_page instanceof Page
    && isset( $post->is_virtual )
    && $post->is_virtual
  ) {
    $plink = home_url( $wp_query->virtual_page->getUrl() );
  }
  return $plink;
} );

function page_storage( $page = null ) {
  static $pages = [];
  if ( !is_null( $page ) ) {
    $pages[] = $page;
  }
  return $pages;
}

function register_pages( $controller ) {
  $pages = page_storage();
  foreach ( $pages as $page ) {
    $controller->addPage( $page );
  }
}
add_action( 'gm_virtual_pages', __NAMESPACE__.'\\register_pages', 10, 1 );
