<?php if(!is_main_site()): ?>
<header id="rvheader" class="navbar-fixed-top">
<?php else: //set main site top menu not sticky ?>
<header id="rvheader" class=".navbar-fixed-top">
<?php endif; ?>
  <nav class="navbar navbar-default">
    <?php if(!is_main_site()): ?>
    <div class="container-fluid main-site-header">
      <?php if(WC()->cart->get_cart_contents_count() !== 0): ?>
        <div class="hidden-xs">
          <?php get_template_part('templates/mini-cart'); ?>
        </div>
      <?php endif; ?>
    <?php else: ?>
    <div class="container">
      <?php if(WC()->cart->get_cart_contents_count() !== 0): ?>
        <div class="hidden-xs">
          <?php get_template_part('templates/mini-cart'); ?>
        </div>
      <?php endif; ?>
    <?php endif; ?>
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#main-nav-header">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="<?= esc_url(home_url('/')); ?>">
          <?php 
          $headerLogo = get_field('header_logo', 'option');
          $size = 'full'; // (thumbnail, medium, large, full or custom size)
          $phoneNumber = '';
          $phoneNumber = get_field('phone_number', 'option');
          $bookURL = get_field('book_now_btn', 'option');
          $bookNowBtnText = get_field('book_now_button_text', 'option');

          if( $headerLogo ) {

          echo wp_get_attachment_image( $headerLogo, $size );

          }

          ?>
            <span class="sr-only"><?php bloginfo('name'); ?></span>
        </a>
        <div class="show-onmobile-icon">
          <?php if(WC()->cart->get_cart_contents_count() !== 0): ?>
            <div class="visible-xs-block mini-cart-mobile">
              <?php get_template_part('templates/mini-cart'); ?>
            </div>
          <?php endif; ?>
          <?php if($phoneNumber): ?>
            <a class="call-icon-holder visible-xs-block" href="tel: <?php echo esc_attr($phoneNumber); ?>">
            <p class="call-icon">
            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/phone-icon.png" />
            </p>
            <p class="call-text">Call</p>
          </a>
          <?php endif; ?>

          <?php if($bookURL): ?>
            <a class="call-icon-holder book-icon-holder visible-xs-block" href="<?php echo esc_attr($bookURL); ?>">
            <?php /* <p class="call-icon">
            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/book-icon.svg" />
            </p> */ ?>
            <p class="call-text"><?php echo ($bookNowBtnText ?: 'Book'); ?></p>
          </a>
          <?php endif; ?>
        </div>

      </div>
      <div id="main-nav-header" class="collapse navbar-collapse">
        <?php
        //menu function here
        if(!is_main_site()){
          Roots\Sage\AutoMenu\AutoMenu();
        }else{
          if (has_nav_menu('primary_navigation')) {
            wp_nav_menu([
              'theme_location' => 'primary_navigation',
              'menu_class' => 'nav navbar-nav',
              'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
              'container' => false,
              'walker' => new wp_bootstrap_navwalker(),
            ]);
          }
        }
        ?>
      </div>
    </div>
  </nav>
</header>
