<?php
$action = $_GET['action'] ?? $action;
$barcode_svg = file_get_contents( \Roots\Sage\Assets\asset_path( 'images/barcode-scan.svg', true ) );
?>
<div id="ticket-scan-form">
	<form name="ticket-scan" action="" method="post">
		<div class="form-group">
			<div class="btn-group btn-group-toggle" data-toggle="buttons">
				<?php
				$actions = [
					'lookup' => __( 'Look up', 'woocommerce-box-office' ),
					'attended' => __( 'Mark as attended', 'woocommerce-box-office' ),
				];
				foreach ( $actions as $action_val => $action_label ) { ?>
					<label class="btn btn-primary <?= $action == $action_val ? 'active' : '' ?>">
						<input type="radio" name="scan-action" value="<?= $action_val ?>" <?php checked( $action, $action_val ); ?> required />
						<?= $action_label ?>
					</label>
				<?php } ?>
			</div>
		</div>
		<div class="form-group">
			<div class="scan-fields input-group input-group-lg">
				<div class="input-group-prepend">
					<button type="button" class="btn btn-primary" onclick="triggerBarcodeScanner( 'scan-code' )">
						<?= $barcode_svg ?>
						Scan
					</button>
				</div>
				<input type="text" name="scan-code" id="scan-code" class="form-control input-lg" value="" placeholder="Enter ticket barcode" required />
			</div>
		</div>
		<div class="form-group">
			<input type="submit" value="<?php _e( 'Go', 'woocommerce-box-office' ); ?>" class="btn btn-lg btn-success" />
		</div>
	</form>
</div>

<div id="ticket-scan-loader"><?php _e( 'Processing ticket...', 'woocommerce-box-office' ); ?></div>
<div id="ticket-scan-result"></div>

<script>
function triggerBarcodeScanner( inputId ) {
	window.location = 'readbarcode://' + inputId;
}
</script>
