<?php
/**
 * Variable product add to cart
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 *
 * Modified to use radio buttons instead of dropdowns
 * @author 8manos
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;


$args = array (
	'post_type'=> 'product',
	'product_cat' => 'active',
	'posts_per_page' => 1,
	'order'   => 'ASC'
);
$query = new WP_Query($args);
//var_dump($query);

$product_links = 'no dates';
if (function_exists('get_field')) {
    $product_links = get_field('product_tabs');	
}
//var_dump($product_links);
$attribute_keys = array_keys( $attributes );
//var_dump($attribute_keys);

the_content(); 
do_action( 'woocommerce_before_add_to_cart_form' ); ?>

<form class="variations_form cart" method="post" enctype='multipart/form-data' data-product_id="<?php echo absint( $product->get_id() ); ?>" data-product_variations="<?php echo htmlspecialchars( wp_json_encode( $available_variations ) ) ?>">
	<?php do_action( 'woocommerce_before_variations_form' ); ?>

<div class="column-left">
	<?php if ( empty( $available_variations ) && false !== $available_variations ) : ?>
		<p class="stock out-of-stock"><?php _e( 'This product is currently out of stock and unavailable.', 'woocommerce' ); ?></p>
	<?php else : ?>

			
	<ul class="list-unstyled variations">
		<?php foreach ( $attributes as $name => $options ) : ?>
			<li class="attribute-<?php echo sanitize_title($name); ?>">
				<p class="product-label">Ticket Type</p>
				<?php
				$sanitized_name = sanitize_title( $name );
				if ( isset( $_REQUEST[ 'attribute_' . $sanitized_name ] ) ) {
					$checked_value = $_REQUEST[ 'attribute_' . $sanitized_name ];
				} elseif ( isset( $selected_attributes[ $sanitized_name ] ) ) {
					$checked_value = $selected_attributes[ $sanitized_name ];
				} else {
					$checked_value = '';
				}
				?>
				<div class="value">
					<?php
					if ( ! empty( $options ) ) {
						if ( taxonomy_exists( $name ) ) {
							// Get terms if this is a taxonomy - ordered. We need the names too.
							$terms = wc_get_product_terms( $product->get_id(), $name, array( 'fields' => 'all' ) );

							foreach ( $terms as $term ) {
								if ( ! in_array( $term->slug, $options ) ) {
									continue;
								}
								print_attribute_radio( $checked_value, $term->slug, $term->name, $sanitized_name );
							}
						} else {
							foreach ( $options as $option ) {
								print_attribute_radio( $checked_value, $option, $option, $sanitized_name );
							}
						}
					}

					echo end( $attribute_keys ) === $name ? apply_filters( 'woocommerce_reset_variations_link', '<a class="reset_variations" href="#">' . __( 'Clear', 'woocommerce' ) . '</a>' ) : '';
					?>
				</div>
			</li>
		<?php endforeach; ?>
	</ul>

	<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

	<div class="single_variation_wrap">
		<?php
			do_action( 'woocommerce_before_single_variation' );
			//do_action( 'woocommerce_single_variation' );
			woocommerce_single_variation();
			do_action( 'woocommerce_after_single_variation' );
		?>
	</div>

</div><!--column-left-->


<div class="column-right">

	<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
	<?php endif; ?>

	<?php do_action( 'woocommerce_after_variations_form' ); ?>
	<?php woocommerce_single_variation_add_to_cart_button(); ?>
</div>
</form>

<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>
<?php wc_print_notices(); ?>
